Package javax.servlet

# Interface ServletRequestListener

All Superinterfaces:
  `EventListener`

public interface ServletRequestListener extends EventListener
A ServletRequestListener can be implemented by the developer interested in being notified of requests coming in and out of scope in a web component. A request is defined as coming into scope when it is about to enter the first servlet or filter in each web application, as going out of scope when it exits the last servlet or the first filter in the chain.

Since:
  Servlet 2.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `requestDestroyed(ServletRequestEvent sre)`
  The request is about to go out of scope of the web application.
  `void`
  `requestInitialized(ServletRequestEvent sre)`
  The request is about to come into scope of the web application.

- ## Method Details

  - ### requestDestroyed

    void requestDestroyed(ServletRequestEvent sre)
    The request is about to go out of scope of the web application.
    Parameters:
      `sre` - Information about the request

  - ### requestInitialized

    void requestInitialized(ServletRequestEvent sre)
    The request is about to come into scope of the web application.
    Parameters:
      `sre` - Information about the request